<?php

namespace App\Entities\Part;

use App\Models\Part\SWITCHModel;

class SWITCHEntity extends PartType3Entity
{
    const PK = SWITCHModel::PK;
    const TITLE = SWITCHModel::TITLE;
    protected $attributes = [
        'code' => 0,
        'price' => 0,
        'status' => '',
    ];
    public function __construct(array|null $data = null)
    {
        parent::__construct($data);
    }
    final public function getClientInfoUid(): int|null
    {
        return $this->clientinfo_uid ?? null;
    }
    final public function getServiceInfoUid(): int|null
    {
        return $this->serviceinfo_uid ?? null;
    }
    final public function getServerInfoUid(): int|null
    {
        return $this->serverinfo_uid ?? null;
    }
    public function getCode(): string
    {
        return $this->code ?? "";
    }
}
